### Function

# Template ScopeResolver

#### Declaration

    gboolean
    (* TmplScopeResolver) (
      TmplScope* scope,
      const gchar* name,
      TmplSymbol** symbol,
      gpointer user_data
    )

#### Description

No description available.

#### Parameters

`scope`

  Type: `TmplScope`

  No description available.

  The data is owned by the caller of the function.

`name`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`symbol`

  Type: `TmplSymbol`

  No description available.

  The data is owned by the caller of the function.

`user_data`

  Type: `gpointer`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

No description available.